Bug 837811 - Error and informatoin reporting should be short and Unix style
Error and informatoin reporting should be short and Unix style
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 07:34 EDT by Sachidananda Urs
Modified: 2013-07-24 13:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:41:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sachidananda Urs 2012-07-05 07:34:09 EDT
Deleting volume foo-1 has been successful

Should rather be:

deleted volume foo-1 or 
foo-1 deleted or
volume foo-1 deleted

`Deleting volume foo-1 has been successful' is kind of overkill and ugly.

And same for:
Stopping volume foo-1 has been successful

And for:

Creation of volume foo-1 has been successful. Please start the volume to access data.
Comment 1 Amar Tumballi 2012-07-11 01:02:21 EDT
Sac, Very good suggestion. Lets sit and decide what makes sense and what doesn't, so we can get the output right this time.
Comment 2 Amar Tumballi 2012-11-29 06:15:45 EST
http://review.gluster.com/3753
Comment 3 Sachidananda Urs 2012-12-19 01:58:05 EST
Verified, now the messages are quite consistent and easy to awk/cut ...

Note You need to log in before you can comment on or make changes to this bug.